ShiftDocs

Shipments

Fetch cost estimates

POST{host}/api/v1/open/cost-estimates

Headers

HeaderValueDescription
AuthorizationBasic <api_key>Base64-encoded credentials
Content-Typeapplication/jsonRequest body format
siteCodeCarrierSite identifier

Request Example

curl --location '<HOST>/api/v1/open/cost-estimates' \
  --header 'siteCode: CARRIER' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Basic xxxxxxxxxxxxxxxxxx' \
  --data '{
    "returnOrder": false,
    "codOrder": true,
    "destinationPin": 500081,
    "originPin": 500039,
    "weightInGrams": 250,
    "declaredValue": 1000,
    "packageLength": 10,
    "packageBreadth": 10,
    "packageHeight": 10
  }'

Request Parameters

ParameterTypeDescription
returnOrderBooleanWhether this is a return order
codOrderBooleanWhether this is a COD order
destinationPinIntegerDestination pincode
originPinIntegerOrigin pincode
weightInGramsIntegerPackage weight in grams
declaredValueIntegerDeclared value of shipment
packageLengthIntegerPackage length in cm
packageBreadthIntegerPackage breadth in cm
packageHeightIntegerPackage height in cm

Response Example

Success Response

{
  "data": [
    {
      "carrierCode": "DE",
      "carrierName": "Delhivery(Surface)",
      "totalCharges": 43.75,
      "rtoCharges": 43.75,
      "serviceType": "Surface",
      "deliveryMode": "Surface",
      "estimatedDeliveryDate": "2024-02-24T23:06:43.371053151Z",
      "estimatedPickupDate": "2024-02-24T04:36:43.4357551+05:30",
      "rating": 95,
      "onTimePickupRating": 95,
      "onTimeDeliveryRating": 90,
      "deliveryAccuracyRating": 95,
      "liability": "2000",
      "requestId": "x1/pT7jVcxsEwmPEZZo7kt...",
      "totalChargesBreakup": {
        "shippingCharges": 37.08,
        "codCharges": 0,
        "gstCharges": 6.67
      }
    }
  ],
  "errorMessage": null
}

Stuck on an integration?

Your account manager can put you in touch with our tech team.

Talk to us